/*
 * Copyright (c) 2000, 2001 Manuel Kauers, Stefan Rhrich
 * Alle Rechte vorbehalten.
 */

package picture.io;

/**
 * Utility functions dealing with bytes.
 *
 * @version 0.1
 * @author Stefan Rhrich
 */
public final class ByteUtils {

    /**
     * Converts an unsigned <tt>byte</tt> to an <tt>int</tt>, i.e. it
     * returns values between 0 and 255 instead of -128 to 127.
     *
     * @param b byte to convert
     * @return unsigned value of <tt>b</tt>
     */
    public final static int unsignedByte2Int(byte b) {
	return ((int)b) & 0xff;
    }
}
